CREATE TABLE irc_tn_job_refs (
    TN_JOB_REF_ID            NUMBER(18, 0) ,
    TN_JOB_ID                NUMBER(18, 0)     NOT NULL,
    KEY                      VARCHAR2(960)     NOT NULL,
    VALUE                    VARCHAR2(4000),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    TN_JOB_REF_ID            NUMBER(18, 0) ,
    TN_JOB_ID                NUMBER(18, 0)     NOT NULL,
    KEY                      VARCHAR2(960)     NOT NULL,
    VALUE                    VARCHAR2(4000),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CONSTRAINT pk_irc_tn_job_refs PRIMARY KEY (TN_JOB_REF_ID, TN_JOB_REF_ID)
);
